Get Meta Lead Ads Status
curl --request GET \
--url https://api.trillet.ai/v1/api/meta-lead/status/{flowId} \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/meta-lead/status/{flowId}"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/meta-lead/status/{flowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connected": true,
"pages": [
{
"pageId": "123456789",
"pageName": "My Business Page",
"forms": ["form_001", "form_002"]
}
],
"callDelaySeconds": 30
}
Get Meta Lead Ads Status
Check the connection and configuration status of Meta Lead Ads for a specific call flow.
GET
/
v1
/
api
/
meta-lead
/
status
/
{flowId}
Get Meta Lead Ads Status
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The call flow ID to check the Meta Lead Ads status for.
Response Fields
boolean
Whether Meta Lead Ads is connected and configured for this flow.
array
Configured Facebook pages and their forms.
number
Current call delay setting in seconds.
{
"connected": true,
"pages": [
{
"pageId": "123456789",
"pageName": "My Business Page",
"forms": ["form_001", "form_002"]
}
],
"callDelaySeconds": 30
}
⌘I
